Bug 1571410 - [abrt] photoprint: pnm_readpaminit(): photoprint killed by SIGBUS
Summary: [abrt] photoprint: pnm_readpaminit(): photoprint killed by SIGBUS
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: photoprint
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a1211dc752ba8d6e7412addc434...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 17:40 UTC by Vitaly
Modified: 2018-11-30 21:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:12:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.79 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: core_backtrace (19.65 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: dso_list (8.53 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: environ (1.46 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: maps (44.44 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: mountinfo (3.54 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: open_fds (825 bytes, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: cpuinfo (1.56 KB, application/octet-stream)
2018-04-24 17:40 UTC, Vitaly
no flags Details
File: exploitable (177 bytes, application/octet-stream)
2018-04-24 17:40 UTC, Vitaly
no flags Details

Description Vitaly 2018-04-24 17:40:20 UTC
Description of problem:
standart print only

Version-Release number of selected component:
photoprint-0.4.2-0.21.pre2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        photoprint
crash_function: pnm_readpaminit
executable:     /usr/bin/photoprint
journald_cursor: s=17cf14914e524cccb0dc6b045de5c1a8;i=55262;b=e27c12484f6246e1ae51057dddbbbfc1;m=231c1bf51;t=56a9b951e9914;x=b1db422025e9dd6d
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pnm_readpaminit at libpam.c:928
 #1 ImageSource_PNM::ImageSource_PNM at imagesource_pnm.cpp:99
 #2 ISLoadImage at imagesource_util.cpp:81
 #3 Layout_ImageInfo::GetImageSource at layout_imageinfo.cpp:1039
 #4 Layout_NUp::GetImageSource at layout_nup.cpp:269
 #5 Layout::Print at layout.cpp:305
 #6 file_print at pp_menu_file.cpp:119
 #11 _gtk_action_emit_activate at gtkaction.c:795
 #16 gtk_widget_activate at gtkwidget.c:5048
 #17 gtk_menu_shell_activate_item at gtkmenushell.c:1305

Comment 1 Vitaly 2018-04-24 17:40:26 UTC
Created attachment 1426170 [details]
File: backtrace

Comment 2 Vitaly 2018-04-24 17:40:27 UTC
Created attachment 1426171 [details]
File: cgroup

Comment 3 Vitaly 2018-04-24 17:40:29 UTC
Created attachment 1426172 [details]
File: core_backtrace

Comment 4 Vitaly 2018-04-24 17:40:31 UTC
Created attachment 1426173 [details]
File: dso_list

Comment 5 Vitaly 2018-04-24 17:40:32 UTC
Created attachment 1426174 [details]
File: environ

Comment 6 Vitaly 2018-04-24 17:40:33 UTC
Created attachment 1426175 [details]
File: limits

Comment 7 Vitaly 2018-04-24 17:40:35 UTC
Created attachment 1426176 [details]
File: maps

Comment 8 Vitaly 2018-04-24 17:40:37 UTC
Created attachment 1426177 [details]
File: mountinfo

Comment 9 Vitaly 2018-04-24 17:40:38 UTC
Created attachment 1426178 [details]
File: open_fds

Comment 10 Vitaly 2018-04-24 17:40:40 UTC
Created attachment 1426179 [details]
File: proc_pid_status

Comment 11 Vitaly 2018-04-24 17:40:41 UTC
Created attachment 1426180 [details]
File: cpuinfo

Comment 12 Vitaly 2018-04-24 17:40:42 UTC
Created attachment 1426181 [details]
File: exploitable

Comment 13 Vitaly 2018-04-24 17:53:03 UTC
Similar problem has been detected:

Add picture to App

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        photoprint
crash_function: pnm_readpaminit
executable:     /usr/bin/photoprint
journald_cursor: s=17cf14914e524cccb0dc6b045de5c1a8;i=55516;b=e27c12484f6246e1ae51057dddbbbfc1;m=25126886d;t=56a9bb4836231;x=6e0f12656fea46c3
kernel:         4.15.17-300.fc27.x86_64
package:        photoprint-0.4.2-0.21.pre2.fc27
reason:         photoprint killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Ben Cotton 2018-11-27 16:02:47 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:12:58 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.